# std::_Maybe_unary_or_binary_function< _Res, _T1 > Struct Template Reference

Inheritance diagram for std::_Maybe_unary_or_binary_function< _Res, _T1 >:

## Detailed Description

### template<typename _Res, typename _T1>
struct std::_Maybe_unary_or_binary_function< _Res, _T1 >

Derives from `unary_function`, as appropriate.

Definition at line 518 of file tr1_impl/functional.

The documentation for this struct was generated from the following file:

- tr1_impl/functional